#!/usr/bin/perl

use Cobalt::Product;
use Cobalt::Locale;

use Locale::gettext;

my $locale=Cobalt::Locale->getByHTTPHeader( $ENV{ 'HTTP_ACCEPT_LANGUAGE' } );
if( $locale ) { $ENV{ 'LANGUAGE' }=$locale->getLocale();
  $button_style=$locale->getProperty("buttonStyle");
  $header_style=$locale->getProperty("errorStyle");
  $table_style=$locale->getProperty("tableStyle");
 }

print "content-type: text/html\nCache-Control: no-cache\n\n";
open( TMPL, "/usr/admserv/html/.cobalt/error/internalServerError.html");
while(<TMPL>)
{
    s/\[FONTH\]/$header_style/go;
    s/\[FONTT\]/$table_style/go;
    s/\[FONTB\]/$button_style/go;
    s/\[str.([^\]]+)\]/Locale::gettext::dgettext("ui", "$1")/geo;

    print;
}
close(TMPL);

# Restart the admin server... maybe fastcgi is dead
system("/etc/rc.d/init.d/admserv reload");
 

