#!/usr/bin/perl
#
# Copyright 1998-2000, Cobalt Networks, Inc
# All rights reserved

package Cobalt::UI::bwDel;

use Cobalt::User;
use Cobalt::BandWidth;

sub main {

$locale = Cobalt::Locale->getByHTTPHeader($ENV{ HTTP_ACCEPT_LANGUAGE });
if ($locale) { $ENV{ LANGUAGE }=$locale->get_locale() }

my $forbiddenURL="/.cobalt/error/forbidden.html";
my $user = $ENV{REMOTE_USER};
unless (user_authok($user, "admin")) {
    print "location: $forbiddenURL\n\n";
    die "Unauthoried access by $user, not an admin.\n";
}

$URL_list = '/cgi-bin/.cobalt/turbo_ui/dispatch/bwList';

$query    = shift;
$ipaddr   = $query->param(ipaddr);

unless ($ipaddr =~ /^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/) {
    print "Location: ${URL_list}\?info=Invalid IP: ${ip}\n\n";
}

$ret = &Cobalt::BandWidth::bw_delip($ipaddr);
unless ($ret =~ /^2/) { print "Location: ${URL_list}\?info=", substr($ret,4), "\n\n" }

print "Location: ${URL_list}\n\n";

}

1;

