#!/usr/bin/perl

# author: Kevin K.M. Chiu
#       Cobalt Networks
# version: 1.0
# date: 7-4-99
#
# Copyright 1999-2000, Cobalt Networks, Inc
# All rights reserved

package Cobalt::UI::alertSignal;

use Cobalt::Product;
use Cobalt::Locale;
use Cobalt::swatch;
use Cobalt::User;

use Locale::gettext;

# global variables
my ($q, $locale);

sub main {

$q=new CGI;

$locale=Cobalt::Locale->getByHTTPHeader( $ENV{ 'HTTP_ACCEPT_LANGUAGE' } );
if( $locale ) { $ENV{ 'LANGUAGE' }=$locale->getLocale(); }
my $on=$q->param( 'on' );

my $forbiddenURL="/.cobalt/error/forbidden.html";
my $user = $ENV{REMOTE_USER};
unless (user_authok($user, "admin")) {
    print "location: $forbiddenURL\n\n";
    die "Unauthoried access by $user, not an admin.\n";
}

my $isAlert= 'false';
my $defcon = swatch_get_defcon3_all();
if ($defcon) {
	$isAlert = 'true';
}


    my $locale = Cobalt::Locale->getByHTTPHeader( $ENV{ 'HTTP_ACCEPT_LANGUAGE' } );
    my $charset = $locale->getProperty("http_Charset");
    my $charsetText;
    if ($charset) {
	$charsetText = "; charset=$charset";
    }
    print "Content-type:  text/html$charsetText\nCache-Control: no-cache\n\n";
    undef($charset, $charsetText);

# tell monitorLight Javascript if there are problems
print("<HTML><HEAD><META HTTP-EQUIV=\"expires\" CONTENT=\"0\"></HEAD>\n");
print("<BODY onLoad=\"isLoaded = true\"><SCRIPT LANGUAGE=\"javascript\">\n");
print("top.code._monitorLight_isAlert = $isAlert;\n");
print("top.code.monitorLight_repaintLight();\n");
print("</SCRIPT></BODY></HTML>");

}

1;

